Bug 998848 - [abrt] libreoffice-core-4.1.0.4-6.fc19: libvclplug_gtklo.so: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.0.4-6.fc19: libvclplug_gtklo.so: Process /usr/lib...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:60ea03f509d5456e478bb5fdafe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 04:19 EDT by Yang Lifu
Modified: 2013-11-11 09:26 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 09:26:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (4.38 KB, text/plain)
2013-08-20 04:19 EDT, Yang Lifu
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-20 04:19 EDT, Yang Lifu
no flags Details
File: core_backtrace (43.86 KB, text/plain)
2013-08-20 04:19 EDT, Yang Lifu
no flags Details
File: dso_list (21.16 KB, text/plain)
2013-08-20 04:19 EDT, Yang Lifu
no flags Details
File: environ (1.49 KB, text/plain)
2013-08-20 04:19 EDT, Yang Lifu
no flags Details
File: exploitable (83 bytes, text/plain)
2013-08-20 04:19 EDT, Yang Lifu
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-20 04:19 EDT, Yang Lifu
no flags Details
File: maps (102.81 KB, text/plain)
2013-08-20 04:19 EDT, Yang Lifu
no flags Details
File: open_fds (478 bytes, text/plain)
2013-08-20 04:20 EDT, Yang Lifu
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-08-20 04:20 EDT, Yang Lifu
no flags Details
File: var_log_messages (449 bytes, text/plain)
2013-08-20 04:20 EDT, Yang Lifu
no flags Details

  None (edit)
Description Yang Lifu 2013-08-20 04:19:15 EDT
Version-Release number of selected component:
libreoffice-core-4.1.0.4-6.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --headless --invisible --nocrashreport --nodefault --nofirststartwizard --nologo --norestore --accept=socket,host=127.0.0.1,port=2002;urp;StarOffice.ComponentContext
crash_function: __lll_unlock_wake
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.10.7-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 12 (10 frames)
 #0 __lll_unlock_wake at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:371
 #1 _L_unlock_701 at /lib64/libpthread.so.0
 #2 __pthread_mutex_unlock_usercnt at pthread_mutex_unlock.c:52
 #3 __pthread_mutex_unlock at pthread_mutex_unlock.c:297
 #4 osl_releaseMutex at /usr/src/debug/libreoffice-4.1.0.4/sal/osl/unx/mutex.c:163
 #5 release at /usr/src/debug/libreoffice-4.1.0.4/include/osl/mutex.hxx:76
 #6 ~Guard at /usr/src/debug/libreoffice-4.1.0.4/include/osl/mutex.hxx:150
 #7 binaryurp::Writer::queueReply at /usr/src/debug/libreoffice-4.1.0.4/binaryurp/source/writer.cxx:115
 #8 binaryurp::IncomingRequest::execute at /usr/src/debug/libreoffice-4.1.0.4/binaryurp/source/incomingrequest.cxx:100
 #9 binaryurp::(anonymous namespace)::request at /usr/src/debug/libreoffice-4.1.0.4/binaryurp/source/reader.cxx:87
Comment 1 Yang Lifu 2013-08-20 04:19:21 EDT
Created attachment 788368 [details]
File: backtrace
Comment 2 Yang Lifu 2013-08-20 04:19:25 EDT
Created attachment 788369 [details]
File: cgroup
Comment 3 Yang Lifu 2013-08-20 04:19:29 EDT
Created attachment 788370 [details]
File: core_backtrace
Comment 4 Yang Lifu 2013-08-20 04:19:34 EDT
Created attachment 788371 [details]
File: dso_list
Comment 5 Yang Lifu 2013-08-20 04:19:38 EDT
Created attachment 788372 [details]
File: environ
Comment 6 Yang Lifu 2013-08-20 04:19:42 EDT
Created attachment 788373 [details]
File: exploitable
Comment 7 Yang Lifu 2013-08-20 04:19:49 EDT
Created attachment 788374 [details]
File: limits
Comment 8 Yang Lifu 2013-08-20 04:19:58 EDT
Created attachment 788375 [details]
File: maps
Comment 9 Yang Lifu 2013-08-20 04:20:02 EDT
Created attachment 788376 [details]
File: open_fds
Comment 10 Yang Lifu 2013-08-20 04:20:06 EDT
Created attachment 788377 [details]
File: proc_pid_status
Comment 11 Yang Lifu 2013-08-20 04:20:10 EDT
Created attachment 788378 [details]
File: var_log_messages
Comment 12 Stephan Bergmann 2013-08-20 05:18:53 EDT
The gdb-processed backtrace (attachment 788368 [details]) is truncated and completely useless, but the raw data (attachment 788370 [details]) indicates that the crash is in libvclplug_gtklo.so when called back from libglib-2.0.so.0 -> libgio-2.0.so.0.

Yang Lifu, can you reproduce this crash (or describe what you were doing when the crash happened)?
Comment 13 Yang Lifu 2013-08-20 11:17:10 EDT
I created a new user in Users and left language blank and later logged in the with the new user and set the language to Simplified Chinese while everything is in English, and opened Libreoffice. It seems Libreoffice crashed here, or later when I logged back in, I can't remember. Shotwell crashed, too. It seems it is due to the new user profile or language settings.
Comment 14 Caolan McNamara 2013-08-22 09:24:34 EDT
Was that new user running Unity ?
Comment 15 Gustavo Rodrigues 2013-10-05 09:44:10 EDT
I found this same error while reading a .odt document using the documents application.
Comment 16 Caolan McNamara 2013-10-07 06:31:01 EDT
And are you using unity or not ?
Comment 17 Gustavo Rodrigues 2013-10-07 11:20:47 EDT
Myself, I am not.. I'm using Gnome Shell. Dunno about the other guy.
Comment 18 Caolan McNamara 2013-10-08 08:38:18 EDT
caolanm->gustavokrm: What are the circumstances of your crash ? And why do you think its the same error as this one ?
Comment 19 Gustavo Rodrigues 2013-10-08 13:13:15 EDT
Basically that's what the bug report application told me. I was going to report it, but it was a known bug. I experienced this bug while viewing a .odt documet in the documents application. I suppose it communicates with Libreoffice in some way? I'm not really technical.
Comment 20 Caolan McNamara 2013-10-09 04:26:35 EDT
If you attempt to view that document again does it crash again ? If it does can you attach that document here.
Comment 21 Yang Lifu 2013-10-09 04:53:17 EDT
No Unity, just Fedora Desktop, i.e. the GNOME-based default Fedora Desktop.
Comment 22 Gustavo Rodrigues 2013-10-09 12:27:16 EDT
No, sorry. I think it only happened twice. I can't reproduce the error again.

Note You need to log in before you can comment on or make changes to this bug.